Bug 221776 - Review Request: digitemp - Dallas Semiconductor 1-wire device reading console application
Summary: Review Request: digitemp - Dallas Semiconductor 1-wire device reading console...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-07 22:15 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 05:29:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2007-01-07 22:15:37 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/digitemp.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/digitemp-3.5.0-1.src.rpm
Description: DigiTemp is a simple to use console application for reading
values from Dallas Semiconductor 1-wire devices. Its main use is for reading 
temperature sensors, but it also reads counters and understands the 1-wire
hubs with devices on different branches of the network. DigiTemp now supports 
the following 1-wire temperature sensors: DS18S20 (and DS1820), DS18B20,
DS1822, the DS2438 Smart Battery Monitor, DS2422 and DS2423 Counters, DS2409
MicroLAN Coupler (used in 1-wire hubs) and the AAG TAI-8540 humidity sensor.

Comment 1 Christoph Wickert 2007-06-04 21:30:58 UTC
REVIEW for 
d209fbf3702edccc4c4f2afe097bb948  digitemp-3.5.0-1.src.rpm

Must:
OK - rpmlint is silent on all packages
OK - package named according to naming guidelines
OK - spec named according to naming guidelines
OK - package meets packaging guidelines
OK - license open source compatible (GPL v.2)
OK - license in spec matches actual license
OK - license included in source and in %doc
OK - spec in American English
OK - spec is legible
OK - source in SRPM matches upstream source by md5
OK - source URL in spec valid
OK - successfully builds into binary rpms on i386
OK - no known ExcludeArchs
OK - BuildRequires correct
OK - no locales to take care of
OK - not relocatable
OK - package owns all directories that it creates
OK - no duplicates in %files listing
OK - permissions on files are set properly
Minor -  Please change %defattr to (-,root,root,-) instead of (-,root,root)
OK - valid clean section present
OK - macros usage consistent
OK - code, not content
OK - no large docs, no need for a -doc subpackage
OK - docs don't affect runtime
OK - no need for a -devel subpackage
OK - no libtool archives
OK - no need for a desktop file
OK - doesn't own files or directories that are already owned by other packages
OK - $RPM_BUILD_ROOT deleted at beginning of install
OK - files are valid UTF-8, manpage is converted properly with iconv

SHOULD:
OK - Builds in mock
OK - program doesn't segfault, but I can't really test if it's working because I
don't have the required temperature sensors. Nevertheless this package is

APPROVED

One last thing: You should think about including SOURCE0/{perl,python,rrdb}
dirs, they contain documentation and useful scripts. In this case I think it's
best to separate them into a subpackage called "-examples" or "-doc". Make sure,
none of the files inside %{_docdir} is executable.

Comment 2 Robert Scheck 2007-06-09 20:11:29 UTC
New Package CVS Request
=======================
Package Name: digitemp
Short Description: Dallas Semiconductor 1-wire device reading console 
application
Owners: redhat-bugzilla@linuxnetz.de
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: 

Comment 3 Jason Tibbitts 2007-06-10 02:36:52 UTC
CVS done.

Comment 4 Robert Scheck 2007-06-17 16:05:08 UTC
Building on FC-6, F-7, devel, EL-4 and EL-5 succeded. I'm waiting for the F-7 
push now...

Comment 5 Robert Scheck 2007-07-02 05:29:47 UTC
...done.


Note You need to log in before you can comment on or make changes to this bug.